<?php
defined('_JEXEC') or die('Restricted access');

class plgJshoppingProductsJShop_Price_Per_Consignment extends JPlugin{

    public function __construct(&$subject, $config = array()) {
        parent::__construct($subject, $config);        
    }

    function onBeforeCalculatePriceProduct(&$quantity, &$enableCurrency, &$enableUserDiscount, &$enableParamsTax, &$product, &$cartProduct){
        if ($product->attribute_active_data && $quantity && $product->product_is_add_price){
            $qtyInCart = $this->getQtyInCart($product->product_id, $cartProduct);
            if (!$cartProduct){
                $new_qty = $quantity + $qtyInCart;
            } else {
                $new_qty = $qtyInCart;
            }
            $this->old_quantity = $quantity;
            $quantity = $new_qty;
        }
    }
    
    private function getQtyInCart($product_id, $cartProduct = null){
        $cart = JModelLegacy::getInstance('cart', 'jshop');
        $cart->load();
        $count = 0;
        
        if (count($cart->products)){
            foreach ($cart->products as $product){
                if ($product['product_id'] == $product_id){
                    $count += $product['quantity'];
                }
            }
        }
        
        return $count;
    }
    
}